function [mdl] = regress_custom_cv(X,y)
        lambda_all = logspace(-2,2,5);
        mdl = fitrlinear(X, y, ...
        'learner', 'svm', 'regularization', 'lasso','Kfold',5,'Lambda',lambda_all, ...
        'FitBias',true);
        [y_pred] = kfoldPredict(mdl);
        error = mean( (y_pred-y).^2,'all' );
        [~,pick] = min(error);
        mdl = fitrlinear(X, y, ...
        'learner', 'svm', 'regularization', 'lasso','Lambda',lambda_all(pick), ...
        'FitBias',true);
end